stages:
  - docker_build
variables:
  PROJECT_VERSION: 0.0.1
docker_build:
  stage: docker_build
  image: docker:stable
  script:
    - docker build -t $CI_REGISTRY_IMAGE .
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.marketpay.com.br
    - docker tag $CI_REGISTRY_IMAGE $CI_REGISTRY_IMAGE:$PROJECT_VERSION
    - docker push $CI_REGISTRY_IMAGE:$PROJECT_VERSION
  tags:
    - docker
  only:
    - sonar
